<!DOCTYPE html>
<!--suppress HtmlUnknownTarget -->
<html lang="fr">
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Site d'inscription pour les Correspondances des Jeunes Mathématicien·ne·s <?= $YEAR ?></title>
    <link rel="stylesheet" type="text/css" href="/style.css"/>
    <link REL="shortcut icon" href="/favicon.ico"/>

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" type="text/css"
          href="https://s3-eu-west-1.amazonaws.com/tfjm2-inscriptions/static/inscription/vendor/bootstrap/css/bootstrap.min.css">

    <!-- Custom fonts for this template -->
    <link rel="stylesheet" type="text/css"
          href="https://s3-eu-west-1.amazonaws.com/tfjm2-inscriptions/static/inscription/vendor/font-awesome/css/font-awesome.min.css">

    <!-- Plugin CSS -->
    <link rel="stylesheet" type="text/css"
          href="https://s3-eu-west-1.amazonaws.com/tfjm2-inscriptions/static/inscription/vendor/datatables/dataTables.bootstrap4.css">

    <!-- Custom styles for this template -->
    <link rel="stylesheet" type="text/css"
          href="https://s3-eu-west-1.amazonaws.com/tfjm2-inscriptions/static/inscription/css2/sb-admin.css">
</head>

<body>
<ul id="menu">
    <li id="menu-logo"><img src="/logo.png" alt="Logo Corres2Math"></li>
    <li><a href="/">Accueil</a></li>
    <li><a href="/calendrier">Calendrier</a></li>
    <li>
        <!-- TODO Menu déroulant -->
        <a>Liste des problèmes</a>
        <ul>
            <li><a href="/probleme/1">Problème 1</a></li>
            <li><a href="/probleme/2">Problème 2</a></li>
            <li><a href="/probleme/3">Problème 3</a></li>
            <li><a href="/probleme/4">Problème 4</a></li>
        </ul>
    </li>
	<?php if (!isset($_SESSION["user_id"])) { ?>
        <li><a href="/connexion">Connexion</a></li>
		<?php if (date("Y-m-d H:i:s") < $CONFIG->getInscriptionDate()) { ?>
            <li><a href="/inscription">Inscription</a></li>
		<?php }
	} else { ?>
        <li><a href="/mon-compte">Mon compte</a></li>
		<?php if ($_SESSION["role"] == Role::ENCADRANT || $_SESSION["role"] == Role::PARTICIPANT) { ?>
			<?php if ($_SESSION["team"] == NULL) {
				if (date("Y-m-d H:i:s") < $CONFIG->getInscriptionDate()) { ?>
                    <li><a href="/ajouter_equipe">Ajouter une équipe</a></li>
                    <li><a href="/rejoindre_equipe">Rejoindre une équipe</a></li>
				<?php }
			} else { ?>
                <li><a href="/mon-equipe">Mon équipe</a></li>
				<?php if ($_SESSION["team"]->getValidationStatus() == ValidationStatus::VALIDATED) {
					switch (Phase::getCurrentPhase()) {
						case Phase::PHASE1: ?>
                            <li><a href="/envoyer-video-1">Envoyer ma vidéo (phase 1)</a></li>
							<?php break;
						case Phase::PHASE2: ?>
                            <li><a href="/poser-questions-2">Poser des questions (phase 2)</a></li>
							<?php break;
						case Phase::PHASE3: ?>
                            <li><a href="/repondre-questions-3">Répondre aux questions (phase 3)</a></li>
							<?php break;
						case Phase::PHASE4: ?>
                            <li><a href="/commenter-echange-4">Commenter l'échange (phase 4)</a></li>
							<?php break;
					}
				} ?>
			<?php } ?>
		<?php } ?>
		<?php if ($_SESSION["role"] == Role::ADMIN) { ?>
            <li><a href="/ajouter_admin">Ajouter un administrateur</a></li>
            <li><a href="/videos-solutions">Vidéos des solutions</a></li>
		<?php } ?>
        <li><a href="/deconnexion">Déconnexion</a></li>
	<?php } ?>
</ul>

<div id="main-container">
    <div id="main-content">
        <div class="container-fluid">
<?php
if (isset($has_error) && $has_error) {
	echo "<h2>Erreur : " . $error_message . "</h2>";
}